org.freedesktop

## Class DBus.Binding.TestClient.Trigger

- java.lang.Object
- - org.freedesktop.dbus.Message
  - - org.freedesktop.dbus.DBusSignal
    - - org.freedesktop.DBus.Binding.TestClient.Trigger

- Enclosing interface:
    DBus.Binding.TestClient

      public static class DBus.Binding.TestClient.Trigger
      extends org.freedesktop.dbus.DBusSignal

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.freedesktop.dbus.Message

      `org.freedesktop.dbus.Message.ArgumentType, org.freedesktop.dbus.Message.Endian, org.freedesktop.dbus.Message.Flags, org.freedesktop.dbus.Message.HeaderField, org.freedesktop.dbus.Message.MessageType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.freedesktop.dbus.UInt16` | `a`
    `double` | `b`

    - ### Fields inherited from class org.freedesktop.dbus.Message

      `bytecounter, flags, globalserial, headers, PROTOCOL, protover, serial, type, wiredata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trigger(String path, org.freedesktop.dbus.UInt16 a, double b)`

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.dbus.Message

      `align, append, appendByte, appendBytes, appendint, demarshallint, demarshallint, demarshallintBig, demarshallintLittle, extract, extract, getAlignment, getDestination, getFlags, getHeader, getHeaderFieldName, getInterface, getName, getParameters, getPath, getReplySerial, getSerial, getSig, getSource, getWireData, marshallint, marshallintBig, marshallintLittle, pad, setArgs, setSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### a

          public final org.freedesktop.dbus.UInt16 a

    - #### b

          public final double b

  - ### Constructor Detail

    - #### Trigger

          public Trigger(String path,
                         org.freedesktop.dbus.UInt16 a,
                         double b)
                  throws org.freedesktop.dbus.exceptions.DBusException

      Throws:
        `org.freedesktop.dbus.exceptions.DBusException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.